local name, tab = ...
local db = {
	["DEATHKNIGHT"]={
		[1]={ -- blood
			inherits="Tank",
			enchanting={ -- any non-runeforges are questionable
				inherits=true,
				[4098]=1, -- windwalk
				[4066]=1, -- mending
				[3367]=1, -- spelldeflect 2h
				[3595]=1, -- spelldeflect 1h
				[3370]=1, -- frost dmg
				[3365]=2, -- 2h parry
				[3594]=2, -- 1h parry
				[3368]=1, -- fallen crusader
				[3847]=2, -- 2h armor/stam
				[3883]=2, -- 1h armor/stam
			},
		},
		[2]={
			inherits="Strength Melee",
			enchanting={
				inherits=true,
				[4083]=1, -- hurricane
				[4099]=1, -- landslide
				[3370]=2, -- frost dmg
				[3368]=2, -- fallen crusader
				[3367]=1, -- 2h spelldeflect
				[3595]=1, -- 1h spelldeflect
				[3369]=1, -- cinderglacier
			},
		},
		[3]={
			inherits="Strength Melee",
			enchanting={
				inherits=true,
				[4083]=1, -- hurricane
				[4099]=1, -- landslide
				[3368]=2, -- fallen crusader
				[3367]=1, -- 2h spelldeflect
				[3595]=1, -- 1h spelldeflect
				[3369]=1, -- cinderglacier
			},
		},
	},
	["HUNTER"]={
		[1]={
			inherits="Ranged",
		},
		[2]={
			inherits="Ranged",
		},
		[3]={
			inherits="Ranged",
		},
	},
	["ROGUE"]={
		[1]={
			inherits="Agility Melee",
		},
		[2]={
			inherits="Agility Melee",
		},
		[3]={
			inherits="Agility Melee",
		},
	},
	["WARRIOR"]={
		[1]={
			inherits="Strength Melee",
		},
		[2]={
			inherits="Strength Melee",
		},
		[3]={
			inherits="Tank",
		},
	},
	["SHAMAN"]={
		[1]={
			inherits="Spirit Caster",
		},
		[2]={
			inherits="Agility Melee",
		},
		[3]={
			inherits="Healer",
		},
	},
	["PRIEST"]={
		[1]={
			inherits="Healer",
		},
		[2]={
			inherits="Healer",
		},
		[3]={
			inherits="Spirit Caster",
		},
	},
	["DRUID"]={
		[1]={
			inherits="Spirit Caster",
		},
		[2]={
			--[[inherits="Tank",
			inherits2="Agility Melee",--]]
			inherits="debug_approveall",
		},
		[3]={
			inherits="Healer",
		},
	},
	["MAGE"]={
		[1]={
			inherits="Non-spirit Caster",
		},
		[2]={
			inherits="Non-spirit Caster",
		},
		[3]={
			inherits="Non-spirit Caster",
		},
	},
	["WARLOCK"]={
		[1]={
			inherits="Non-spirit Caster",
		},
		[2]={
			inherits="Non-spirit Caster",
		},
		[3]={
			inherits="Non-spirit Caster",
		},
	},
	["PALADIN"]={
		[1]={
			inherits="Healer",
		},
		[2]={
			inherits="Tank",
		},
		[3]={
			inherits="Strength Melee",
		},
	},
}
tab.db = db